package com.hw.ems.base.domain;


import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


import java.util.ArrayList;
import java.util.List;

/**
 * 建筑信息管理对象 base_build_info
 *
 * @author YinQ
 * @date 2023-05-05
 */
public class BaseBuildInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 父级编号 */
    @Excel(name = "父级编号")
    private Long parentId;
    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;
    /** 子菜单 */
    private List<BaseBuildInfo> children = new ArrayList<BaseBuildInfo>();
    /** 自增标识 */
    private Long objid;

    /** 建筑编号 */
    @Excel(name = "建筑编号")
    private String buildId;

    /** 建筑名称 */
    @Excel(name = "建筑名称")
    private String buildName;

    /** 状态 */
    @Excel(name = "状态")
    private Long buildStatus;

    /** 等级 */
    @Excel(name = "等级")
    private Long grade;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setBuildId(String buildId)
    {
        this.buildId = buildId;
    }

    public String getBuildId()
    {
        return buildId;
    }
    public void setBuildName(String buildName)
    {
        this.buildName = buildName;
    }

    public String getBuildName()
    {
        return buildName;
    }
    public void setBuildStatus(Long buildStatus)
    {
        this.buildStatus = buildStatus;
    }

    public Long getBuildStatus()
    {
        return buildStatus;
    }
    public void setGrade(Long grade)
    {
        this.grade = grade;
    }

    public Long getGrade()
    {
        return grade;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public List<BaseBuildInfo> getChildren() {
        return children;
    }

    public void setChildren(List<BaseBuildInfo> children) {
        this.children = children;
    }
    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("buildId", getBuildId())
            .append("buildName", getBuildName())
            .append("buildStatus", getBuildStatus())
            .append("grade", getGrade())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
